## org.firebirdsql.gds.impl.jni
Class LocalGDSFactoryPlugin

    java.lang.Object
      org.firebirdsql.gds.impl.jni.LocalGDSFactoryPlugin

All Implemented Interfaces:
  GDSFactoryPlugin

    public class LocalGDSFactoryPlugin

extends Object
implements GDSFactoryPlugin

Constructor Summary
`LocalGDSFactoryPlugin()`

Method Summary
`static GDS` `applySyncPolicy(GDS tempGds)` Apply the synchronization policy if the current platform is not Windows.
`boolean` `equals(Object obj)`
`Class` `getConnectionClass()`
`String` `getDatabasePath(String jdbcUrl)`
`String` `getDatabasePath(String server, Integer port, String path)`
`String` `getDefaultProtocol()`
`GDS` `getGDS()`
`String` `getPluginName()`
`String[]` `getSupportedProtocols()`
`String[]` `getTypeAliases()`
`String` `getTypeName()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalGDSFactoryPlugin

    public LocalGDSFactoryPlugin()

Method Detail

### getPluginName

    public String getPluginName()

  Specified by:
    `getPluginName` in interface `GDSFactoryPlugin`

### getTypeName

    public String getTypeName()

  Specified by:
    `getTypeName` in interface `GDSFactoryPlugin`

### getTypeAliases

    public String[] getTypeAliases()

  Specified by:
    `getTypeAliases` in interface `GDSFactoryPlugin`

### getConnectionClass

    public Class getConnectionClass()

  Specified by:
    `getConnectionClass` in interface `GDSFactoryPlugin`

### getSupportedProtocols

    public String[] getSupportedProtocols()

  Specified by:
    `getSupportedProtocols` in interface `GDSFactoryPlugin`

### getGDS

    public GDS getGDS()

  Specified by:
    `getGDS` in interface `GDSFactoryPlugin`

### applySyncPolicy

    public static GDS applySyncPolicy(GDS tempGds)

  Apply the synchronization policy if the current platform is not Windows.

  Parameters:
    `tempGds` - instance if `GDS` to which policy should be applied.

### getDatabasePath

    public String getDatabasePath(String server,
                                  Integer port,
                                  String path)
                           throws GDSException

  Specified by:
    `getDatabasePath` in interface `GDSFactoryPlugin`
  Throws:
    `GDSException`

### getDatabasePath

    public String getDatabasePath(String jdbcUrl)
                           throws GDSException

  Specified by:
    `getDatabasePath` in interface `GDSFactoryPlugin`
  Throws:
    `GDSException`

### getDefaultProtocol

    public String getDefaultProtocol()

  Specified by:
    `getDefaultProtocol` in interface `GDSFactoryPlugin`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Copyright © 2001-2010. All Rights Reserved.